/*
 * Copyright 1993-1995 Vectaport Inc, Jorge A. Gautier Consulting, Cider Press
 *
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation for any purpose is hereby granted without fee, provided
 * that the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the names of the copyright holders not be used in
 * advertising or publicity pertaining to distribution of the software
 * without specific, written prior permission.  The copyright holders make
 * no representations about the suitability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 *
 * THE COPYRIGHT HOLDERS DISCLAIM ALL WARRANTIES WITH REGARD TO THIS
 * SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS.
 * IN NO EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY SPECIAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING
 * FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,
 * NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION
 * WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 * 
 */

#ifndef vpfclasses_h
#define vpfclasses_h

#include <Unidraw/classes.h>
#include <MapUnidraw/mapclasses.h>

/* 
 * Unique VpfUnidraw class identifiers.
 */

#define VPFSHOW_CMD        9301
#define VPFHIDE_CMD        9302
#define VPFPROJECTION_CMD  9303
#define VPFLIB_CMD         9304
#define VPFCOV_CMD         9305
#define VPFFCLASS_CMD      9306
#define TILESELECT_TOOL    9307
#define VPFSELECTION_CMD   9308
#define VPFTOOLBAR_CMD     9309
#define VPFSHOWTILES_CMD   9310
#define VPFOPEN_CMD   	   9311
#define VPFUPDATEMENUS_CMD 9312

#define VPFFCLASS_COMP     9351
#define VPFCOV_COMP        9352
#define VPFLIB_COMP        9353
#define VPFDB_COMP         9354
#define VPF_IDRAW_COMP     9355

#define VPFFCLASS_VIEW     Combine(VPFFCLASS_COMP, COMPONENT_VIEW)
#define VPFCOV_VIEW        Combine(VPFCOV_COMP, COMPONENT_VIEW)
#define VPFLIB_VIEW        Combine(VPFLIB_COMP, COMPONENT_VIEW)
#define VPFDB_VIEW         Combine(VPFDB_COMP, COMPONENT_VIEW)
#define VPF_IDRAW_VIEW     Combine(VPF_IDRAW_COMP, COMPONENT_VIEW)

#define VPFFCLASS_SCRIPT   Combine(VPFFCLASS_COMP, SCRIPT_VIEW)
#define VPFCOV_SCRIPT      Combine(VPFCOV_COMP, SCRIPT_VIEW)
#define VPFLIB_SCRIPT      Combine(VPFLIB_COMP, SCRIPT_VIEW)
#define VPFDB_SCRIPT       Combine(VPFDB_COMP, SCRIPT_VIEW)
#define VPF_IDRAW_SCRIPT   Combine(VPF_IDRAW_COMP, SCRIPT_VIEW)

#define VPFFCLASS_PS       Combine(VPFFCLASS_COMP, POSTSCRIPT_VIEW)
#define VPFCOV_PS          Combine(VPFCOV_COMP, POSTSCRIPT_VIEW)
#define VPF_IDRAW_PS       Combine(VPF_IDRAW_COMP, POSTSCRIPT_VIEW)

#define VPFFCLASS_RAW      Combine(VPFFCLASS_COMP, RAWMAP_VIEW)

#endif
